name: CI

on:
  push:
    branches:
      - main
      - develop
      - v2
  pull_request:
    branches:
      - main
      - develop
  workflow_dispatch:

jobs:
  lint:
    uses: ./.gitea/workflows/ci-lint.yml
    secrets: inherit

  test:
    needs: lint
    uses: ./.gitea/workflows/ci-test.yml
    secrets: inherit

  build:
    needs:
      - lint
      - test
    uses: ./.gitea/workflows/ci-build.yml
    secrets: inherit
